DTC version unsupported error #west


Eric
 

On a new Ubuntu install, I'm having this issue with Zephyr using West.  It's also referenced in this issue, but the fix mentioned there didn't work for me:

https://github.com/zephyrproject-rtos/zephyr/issues/15246

$ west build -b nrf51_pca10031
-- west build: build configuration:
       source directory: /home/hp1/zephyrproject/zephyr/samples/hello_world
       build directory: /home/hp1/zephyrproject/zephyr/samples/hello_world/build
       BOARD: nrf51_pca10031 (origin: command line)
-- west build: generating a build system
Zephyr version: 1.14.99
-- Selected BOARD nrf51_pca10031
-- Found west: /home/hp1/.local/bin/west (found suitable version "0.5.7", minimum required is "0.5.6")
CMake Error at /home/hp1/zephyrproject/zephyr/cmake/extensions.cmake:1324 (message):
  Assertion failed: The detected dtc version is unsupported.

      The version was found to be 1.4.5                                  
      But the minimum supported version is 1.4.6                       
      See https://docs.zephyrproject.org/latest/getting_started/                    
      for how to use the SDK's dtc alongside a custom toolchain.
Call Stack (most recent call first):
  /home/hp1/zephyrproject/zephyr/cmake/host-tools.cmake:69 (assert)
  /home/hp1/zephyrproject/zephyr/cmake/app/boilerplate.cmake:412 (include)
  CMakeLists.txt:5 (include)


-- Configuring incomplete, errors occurred!


I did try the two environmental variables, which are now part of the Zephyr instructions, but the problem persists.

export ZEPHYR_TOOLCHAIN_VARIANT=zephyr
export ZEPHYR_SDK_INSTALL_DIR=$HOME/zephyr-sdk-0.10.1


I'm unsure how to go about fixing the DTC version issue.

Join users@lists.zephyrproject.org to automatically receive all group messages.